You are not logged in.

#1 2021-07-19 09:30:12

ylin
Member
Registered: 2021-05-23
Posts: 2

[SOLVED] /usr/lib/libblkid.so.1: version BLKID_2_37 can not found

When I restarted my computer after updating my arch linux, I encounter this problem, does anyone know how to fix it?
Since there are many updated packages, I'm not sure which package is the wrong problem. The picture below is the error message that is reported when I start my computer.

Last edited by ylin (2021-07-19 12:14:24)

Offline

#2 2021-07-19 11:41:55

seth
Member
Registered: 2012-09-03
Posts: 22,279

Re: [SOLVED] /usr/lib/libblkid.so.1: version BLKID_2_37 can not found

util-linux-lib, should™ be at 2.37-3

Please remove the oversized image (replace it w/ a link or just post the text)

Offline

#3 2021-07-19 12:00:49

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,342

Re: [SOLVED] /usr/lib/libblkid.so.1: version BLKID_2_37 can not found

Please replace the picture with a thumbnail or link , see https://wiki.archlinux.org/title/Genera … s_and_code .

$ pacman -Qo /usr/lib/libblkid.so.1
/usr/lib/libblkid.so.1 is owned by util-linux-libs 2.37-3
$ 

util-linux-libs 2.37-3 came to core repository on june 8 .

The messages suggest your update failed or was incomplete .

You'll have to boot from an arch installation iso and correct things .

Check https://wiki.archlinux.org/title/Genera … ken_system


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#4 2021-07-19 12:14:43

ylin
Member
Registered: 2021-05-23
Posts: 2

Re: [SOLVED] /usr/lib/libblkid.so.1: version BLKID_2_37 can not found

Thank you very much. I have fixed it.

Last edited by ylin (2021-07-19 12:15:02)

Offline

Board footer

Powered by FluxBB